Skip to main content
POST
/
api
/
files
/
v1
/
filesets
/
{fileSetId}
/
ownership
Update FileSet Owner
curl --request POST \
  --url https://{subdomain}.domo.com/api/files/v1/filesets/{fileSetId}/ownership \
  --header 'Content-Type: application/json' \
  --header 'X-DOMO-Developer-Token: <api-key>' \
  --data '{
  "userId": 109
}'
{
  "fileSetId": "e49f188e-be98-451d-ba0f-ada1157bb656",
  "fileSetAccess": [
    {
      "entityId": 109,
      "entityType": "USER",
      "permission": "OWNER"
    },
    {
      "entityId": 27,
      "entityType": "USER",
      "permission": "OWNER"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://domoinc-openapi-sync-documents.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-DOMO-Developer-Token
string
header
required

Path Parameters

fileSetId
string
required

The ID of the FileSet for which to update the owner.

Body

application/json

The request object containing the new owner information.

Represents a request to transfer ownership of a file set.
Other users may be granted ownership level permissions, but only one user may be the sole owner of a file set.

userId
integer<int64>
required

The ID of the user that will assume ownership.

Response

Owner updated successfully

Response object containing the explicit access to a file set.

fileSetId
string

The associated file set id.

fileSetAccess
object[]

The access permissions for the file set.